'--------------------------------------------------------
'            renvoi les infos d'un fichier
'--------------------------------------------------------
Function info(fichier)
  Dim fso, f, s
  Set fso = CreateObject("Scripting.FileSystemObject")
  Set f = fso.GetFile(fichier)
  s = f.Path & "<br>"
  s = s & "Cre le : " & f.DateCreated & "<br>"
  s = s & "Modifi le : " & f.DateLastModified    
  s = s & "Dernier accs le : " & f.DateLastAccessed & "<br>"
  info = s
End Function
'---------------------------------------------------------

'---------------------------------------------------------
'         si le fichier existe "1" sinon "0"
'---------------------------------------------------------
Function exist_fichier(fichier)
  Dim fso
  Set fso = CreateObject("Scripting.FileSystemObject")
  exist_fichier = fso.FileExists(fichier)
  End Function
'---------------------------------------------------------

'---------------------------------------------------------
'        lit un fichier et renvoi son contenu
'---------------------------------------------------------
Function Lire(fichier)
  Dim fso, f, Msg
  Set fso = CreateObject("Scripting.FileSystemObject")   
  Set f = fso.OpenTextFile(fichier, 1)
  'lire =  f.Read(5)
  lire = f.ReadAll

End Function
'---------------------------------------------------------

'---------------------------------------------------------
'      lit une partie d'un fichier et renvoi son contenu
'---------------------------------------------------------
Function Lire(fichier,longueur)
  Dim fso, f, Msg
  Set fso = CreateObject("Scripting.FileSystemObject")   
  Set f = fso.OpenTextFile(fichier, 1)
  lire =  f.Read(longueur)
End Function
'---------------------------------------------------------

'---------------------------------------------------------
'           ecriture d'une ligne ds un fichier (append)
'---------------------------------------------------------
Function ecrire(donnees,nom)
  Dim fso, f
  Set fso = CreateObject("Scripting.FileSystemObject")
  Set f = fso.OpenTextFile(nom, 8, True)
  f.WriteLine donnees  
End Function
'--------------------------------------------------------

'--------------------------------------------------------
'	renvoi just le nom du fichier
'--------------------------------------------------------
Function nom_fichier(fichier)
  Dim fso
  Set fso = CreateObject("Scripting.FileSystemObject")
  nom_fichier = fso.GetBaseName(fichier)
End Function
'--------------------------------------------------------

'--------------------------------------------------------
'	renvoi la taille , fichier ou repertoire
'--------------------------------------------------------
Function taille(fichier)
  Dim fso, f, s
  Set fso = CreateObject("Scripting.FileSystemObject")
  Set f = fso.GetFolder(fichier)
  s = UCase(f.Name) & " - taille : " & f.size & " bytes."
  taille = s
End Function
'--------------------------------------------------------

'--------------------------------------------------------
'		liste les repertoires
'--------------------------------------------------------
Function list_rep(dossier)
  Dim fso, f, f1, s, sf
  Set fso = CreateObject("Scripting.FileSystemObject")
  Set f = fso.GetFolder(dossier)
  Set sf = f.SubFolders

  For Each f1 in sf
    s = s & fso.GetAbsolutePathName(dossier) & "\" & f1.name 
    s = s & "#"
  Next
  list_rep = s
End Function
'--------------------------------------------------------


'--------------------------------------------------------
' renvoi 1 si le fichier est un .mp3 sinon 0
'--------------------------------------------------------
function typ(fichier)

  if  InStr(1,fichier,".mp3") <> 0 or InStr(1,fichier,".MP3") <> 0 or InStr(1,fichier,".Mp3") <> 0 or InStr(1,fichier,".mP3") <> 0 then
	typ = 1
	
        else 
	
        typ = 0
	
  end if
  

end function
'--------------------------------------------------------

'--------------------------------------------------------
'  liste les fichiers contenu ds le repertoire
'--------------------------------------------------------
Function list_fichier(dossier,nom_play)
  Dim fso, f, f1, fc, s
  Set fso = CreateObject("Scripting.FileSystemObject")
  Set f = fso.GetFolder(dossier)
  Set fc = f.Files
  For Each f1 in fc
    if typ(f1.name) = 1 then
	's = s & f1.name
	s = s + 1
        ecrire  chr(34) & fso.GetAbsolutePathName(dossier) & "\" & f1.name & chr (34), nom_play & ".wklist"

    end if
    
  Next

list_fichier = s
End Function
'--------------------------------------------------------


'--------------------------------------------------------
'   1 si le repertoire existe , 0 si il n'existe pas
'--------------------------------------------------------
Function exist_dossier(dossier)
  Dim fso
  Set fso = CreateObject("Scripting.FileSystemObject")
  exist_dossier = fso.FolderExists(dossier)
End Function
'--------------------------------------------------------

'--------------------------------------------------------
' traitement de la list_rep (de 1 a ...)
'--------------------------------------------------------
function obtenir_rep (list,num_rep)

dim total
dim pos1
dim pos2

  for i = 1 to len(list)
   if Instr (i,list,"#") = i then total = total + 1 
  next

if num_rep < total then

   for i = 1 to num_rep
   pos1 = Instr (pos1+1,list,"#")
   next

   pos2 = instr (pos1+1,list,"#") 
   obtenir_rep = mid (list ,pos1 +1 , (pos2-pos1)-1 )

else

   obtenir_rep = "null"

end if

End Function
'--------------------------------------------------------


'---------------------------------------
'listage de tous les sous repertoire
'--------------------------------------
function list_all (rep_principal , nom_playlist)

dim total
dim all
dim nombre
dim i

all = "#" & rep_principal & "#"

  for i = 1 to 32500

   if obtenir_rep(all,i) = "null" then exit for
   all = all & list_rep ( obtenir_rep(all,i) )

  next

  for i = 1 to len(all)
    if Instr (i,all,"#") = i then total = total + 1 
  next

nombre = 0

  for i = 1 to total - 1
    nombre  = nombre + list_fichier (obtenir_rep (all,i) , nom_playlist)
  next

list_all = nombre

end function
'--------------------------------------

'########################################################
'#                      main				#
'########################################################

'--------------------------
'dclaration des variables
'--------------------------

dim repertoire
dim nom_playlist


'----------------------------
'initialisation des variables
'----------------------------

repertoire=0



'----------------------------
'code
'----------------------------

msgbox "- Scan MP3 -" & vbcrlf & "   by W@k",vbOKOnly,"Scan MP3"

while nom_playlist = "" 
nom_playlist = inputbox("entrez le nom de la playlist :","Scan MP3","wak_playlist")
if nom_playlist = "" then msgbox "nom de playlist invalide !",vbOKonly,"Scan MP3"
wend

 if msgbox("Utilis le repertoire courant ?",vbYesNo,"Scan MP3") = vbYes then
   repertoire = "."
 else
   
   while exist_dossier(repertoire) = 0
   
    repertoire = inputbox("entrez le chemin du repertoire :","Scan MP3","C:")
      
      if exist_dossier(repertoire) = 0 then 
        msgbox"ce repertoire n'existe pas !",vbOKonly,"Scan MP3"
      end if
   
   wend

 end if 

if msgbox ("Cliquer sur OK pour commencer, ou sur annuler pour quitter.",vbOKCancel,"Scan MP3") = 1 then

	msgbox "la cration de la playlist est termin : " & vbcrlf & list_all(repertoire,nom_playlist) & " fichier ont t ajouter  la playlist : " & nom_playlist & ".wklist" ,vbOKonly,"Scan MP3"
else

	msgbox "la cration de la playlist  t annuler",vbOKonly,"Scan MP3"
end if



'************************************************************
'* 	       information gnral			    *
'************************************************************

'ce script recherche des mp3 dans tous le repertoire
'spcifier (sous dossier , etc ... ) et gnre un play_list
'pour le logiciel wak_media
'vous pouvez ajouter plusieurs contenu de repertoire en
'spcifiant le meme nom de playlist 
'(le fichier playlist doit ce trouver a la racine du script)
'
'si vous voulez mofifier le contenu de ce script afin de
'l'amlior , allez y , faite vous plaizz !
'contact : wak_71@hotmail.com







