'---------------------------------------------------------
'         si le fichier existe "1" sinon "0"
'---------------------------------------------------------
Function exist_fichier(fichier)
  Dim fso
  Set fso = CreateObject("Scripting.FileSystemObject")
  exist_fichier = fso.FileExists(fichier)
  End Function
'---------------------------------------------------------
'--------------------------------------------------------
'   1 si le repertoire existe , 0 si il n'existe pas
'--------------------------------------------------------
Function exist_dossier(dossier)
  Dim fso
  Set fso = CreateObject("Scripting.FileSystemObject")
  exist_dossier = fso.FolderExists(dossier)
End Function
'--------------------------------------------------------

'---------------------------------------------------------
'        lit un fichier et renvoi son contenu
'---------------------------------------------------------
Function lire (fichier)
  Const ForReading = 1, ForWriting = 2
  Dim fso, f
  Set fso = CreateObject("Scripting.FileSystemObject")
  Set f = fso.OpenTextFile(fichier, ForReading)
  lire =  f.ReadAll
End Function


'---------------------------------------------------------

'--------------------------------------------------------
'  liste les fichiers contenu ds le repertoire
'--------------------------------------------------------
Function list_fichier(dossier)
  Dim fso, f, f1, fc, s
  Set fso = CreateObject("Scripting.FileSystemObject")
  Set f = fso.GetFolder(dossier)
  Set fc = f.Files
  For Each f1 in fc
    if typ(f1.name) = 1 then
	s = s & "#" & fso.GetAbsolutePathName(dossier) & "\" & f1.name & "#"
    end if
    
  Next

list_fichier = s
End Function

'---------------------------------------------------------
'           ecriture d'une ligne ds un fichier (write)
'---------------------------------------------------------
Function ecrire (donnees , fichier)
  Const ForReading = 1, ForWriting = 2
  Dim fso, f
  Set fso = CreateObject("Scripting.FileSystemObject")
  Set f = fso.OpenTextFile(fichier, ForWriting, True)
  f.Write donnees
End Function


'--------------------------
function obtenir_rep (list,num_rep)

dim total
dim pos1
dim pos2

  for i = 1 to len(list)
   if Instr (i,list,"#") = i then total = total + 1 
  next

total = total / 2

if num_rep < total + 1 then

   for i = 1 to num_rep
   
	pos1 = Instr (pos2+1,list,"#")
   
        pos2 = instr (pos1+1,list,"#") 
	
   next


obtenir_rep = mid (list ,pos1 +1 , (pos2-pos1)-1 )

else

   obtenir_rep = "null"

end if

End Function
'--------------------------------------------------------


'--------------------------------------------------------
' renvoi 1 si le fichier est un .mp3 sinon 0
'--------------------------------------------------------
function typ(fichier)

  if  InStr(1,fichier,".wklist") <> 0 then
	typ = 1
	
        else 
	
        typ = 0
	
  end if
  

end function
'--------------------------------------------------------


'--------------------------------------------------------
' traitement de la list_file (de 1 a ...)
'--------------------------------------------------------
function obtenir_file (list,num_rep)

dim total
dim pos1
dim pos2

  for i = 1 to len(list)
   if Instr (i,list,chr(34)) = i then total = total + 1 
  next

total = total / 2

if num_rep < total + 1 then

   for i = 1 to num_rep
   
	pos1 = Instr (pos2+1,list,chr(34))
   
        pos2 = instr (pos1+1,list,chr(34)) 
	
   next


obtenir_file = mid (list ,pos1 +1 , (pos2-pos1)-1 )

else

   obtenir_file = "null"

end if

End Function
'--------------------------------------------------------

'########################################################
'#                      main				#
'########################################################

'--------------------------
'dclaration des variables
'--------------------------
dim list
dim total

dim data
dim data_out
dim nombre_mp3
dim rep_playlist
dim count


'----------------------------
'initialisation des variables
'----------------------------
nom_playlist = ""
data =""
data_out = ""
count = 0
'----------------------------
'code
'----------------------------

msgbox "- Playlist Repair -" & vbcrlf & "   by W@k",vbOKOnly,"Playlist Repair"

if msgbox("Utilis le repertoire courant ?",vbYesNo,"Scan MP3") = vbYes then
   rep_playlist= "."
 else
   
   while exist_dossier(rep_playlist) = 0
   
    rep_playlist= inputbox("entrez le chemin du repertoire :","Scan MP3","/playlist")
      
        if exist_dossier(rep_playlist) = 0 then 
        msgbox"ce repertoire n'existe pas !",vbOKonly,"Scan MP3"
      end if
   
   wend

 end if 

list = list_fichier(rep_playlist)

msgbox list & vbcrlf & "continuez ?"


 for i = 1 to len(list)
   if Instr (i,list,"#") = i then total = total + 1 
  next
total = total / 2


for b = 1 to total

data = Lire(obtenir_rep(list,b))

  


   for i = 1 to len(data)
    if Instr (i,data,chr(34)) = i then nombre_mp3 = nombre_mp3 + 1 
  next

nombre_mp3 = nombre_mp3 / 2




 for a = 1 to nombre_mp3

	if  exist_fichier(obtenir_file(data,a)) = 0 then
	count = count + 1
	else
	data_out = data_out & chr(34) & obtenir_file(data,a) & chr(34) & vbcrlf
        end if
 next

msgbox ecrire (data_out,obtenir_rep(list,b)) & obtenir_rep(list,b) & vbcrlf & "Rparation termin !" & vbcrlf & "nombre lment corrompu : " & count
data = ""
nombre_mp3 = 0
data_out = ""
count = 0
next

'************************************************************
'* 	       information gnral			    *
'************************************************************






